%global npm_name ret
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.2.2
Release: %mkrel 5
Summary: Tokenizes a string that represents a regular expression
License: MIT
Group: Development/Other
URL: https://github.com/fent/ret.js#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.2-5.mga10
+ Revision: 2208261
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.2.2-4.mga9
+ Revision: 1818646
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.2-3.mga8
+ Revision: 1503136
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.2.2-2.mga7
+ Revision: 1280933
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 0.2.2-1.mga7
+ Revision: 1225445
- imported package nodejs-ret

